Add a handling on an order
Add a handling on an order
Required permissions: SALES_ORDER,RETURN_ORDER
post/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/handlings
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+orderUidstringRequiredPattern:
Reference to an Order.
^[A-Za-z0-9-_]+Body
handlingUidstringRequiredPattern:
^[A-Za-z0-9-_]+orderHandlingUidstringOptionalPattern:
^[A-Za-z0-9-_]+Responses
201
Example response
application/json
orderUidstringRequiredPattern:
^[A-Za-z0-9-_]+activebooleanRequired
createdAtstring · date-timeRequired
createdBystringRequired
descriptionstringRequired
handlingUidstringRequiredPattern:
^[A-Za-z0-9-_]+lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
namestring · max: 20Required
orderHandlingUidstringRequiredPattern:
^[A-Za-z0-9-_]+statestring · enumRequired
Possible values:
| ENUM | Description |
|---|---|
| NOT_STARTED | Handling has not been started. |
| IN_PROGRESS | Handling is in progress. |
| ON_HOLD | Handling is paused (on hold). |
| COMPLETE | Handling is complete. |
post/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/handlings
POST /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/handlings HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 48
{
"handlingUid": "text",
"orderHandlingUid": "text"
}201
Example response
{
"orderUid": "text",
"active": true,
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"description": "text",
"handlingUid": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"name": "text",
"orderHandlingUid": "text",
"state": "NOT_STARTED"
}Last updated
Was this helpful?

